---
editUrl: false
next: false
prev: false
title: "Singleton"
---

> **Singleton**\<`T`\>: () => `T`

Type to annotate that something is a singleton. 
T is created once and lazily.

## Type parameters

• **T**

## Returns

`T`

## Source

[src/types/ioc.ts:7](https://github.com/sern-handler/handler/blob/04c4625bfa2f746935f4a8cee62b77cdffd86684/src/types/ioc.ts#L7)
